Subject: Re: bug#64074: guix [COMMAND] --load-path does not check if path is valid

From: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Jun 2023 14:39:47 +0200

Hi,

Christian Miller <[email-masked]> skribis:

> User can set load path with -L or --load-path in commands like guix
> build, guix time-machine and so on. But this flag does not check if
> the path is actually a valid directory. You can point to a directory
> that doesn't even exist on the filesystem.

Indeed.  That’s the same for all similar search path command-line flags
(think ‘gcc -I…’, ‘ld -L…’, and so on).

> It should do that just like the -f or --file flag for the guilx build
> command.

I don’t think so; I think tolerating non-existent directories in the
search path is useful.

Thanks,
Ludo’.